# Connector API — API Resources

> Canonical URL: https://developers.apideck.com/apis/connector/reference#tag/API-Resources

This document contains every operation on the `API Resources` resource.

---

# Get API Resource

> **Connector API** · `GET /connector/apis/{id}/resources/{resource_id}`
> Canonical URL: https://developers.apideck.com/apis/connector/reference#tag/API-Resources/operation/apiResourcesOne

Get API Resource

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `x-apideck-app-id` | header | `string` | Yes | The ID of your Unify application |
| `id` | path | `string` | Yes | ID of the record you are acting upon. |
| `resource_id` | path | `string` | Yes | ID of the resource you are acting upon. |

### Responses

#### 200 — ApiResources

- `status_code` `integer` **required** — HTTP Response Status Code — example: `200`
- `status` `string` **required** — HTTP Response Status — example: `OK`
- `data` `object` **required**
  - `id` `string` — ID of the resource, typically a lowercased version of name. — example: `companies`
  - `name` `string` — Name of the resource (plural) — example: `Companies`
  - `status` `string` — Status of the resource. Resources with status live or beta are callable. — enum: `live`, `beta`, `development`, `upcoming`, `considering`
  - `linked_resources` `array of object` — List of linked resources.
    - `id` `string` — ID of the resource, typically a lowercased version of name. — example: `companies`
    - `unified_property` `string` — Name of the property in our Unified API. — example: `owner_id`
  - `schema` `object` — JSON Schema of the resource in our Unified API
- `_raw` `object` — Raw response from the integration when raw=true query param is provided
- `meta` `object` — Response metadata
  - `items_on_page` `integer` — Number of items returned in the data property of the response — example: `50`
  - `cursors` `object` — Cursors to navigate to previous or next pages through the API
    - `previous` `string` — Cursor to navigate to the previous page of results through the API — example: `em9oby1jcm06OnBhZ2U6OjE=`
    - `current` `string` — Cursor to navigate to the current page of results through the API — example: `em9oby1jcm06OnBhZ2U6OjI=`
    - `next` `string` — Cursor to navigate to the next page of results through the API — example: `em9oby1jcm06OnBhZ2U6OjM=`
- `links` `object` — Links to navigate to previous or next pages through the API
  - `previous` `string` — Link to navigate to the previous page through the API — example: `https://unify.apideck.com/crm/companies?cursor=em9oby1jcm06OnBhZ2U6OjE%3D`
  - `current` `string` — Link to navigate to the current page through the API — example: `https://unify.apideck.com/crm/companies`
  - `next` `string` — Link to navigate to the previous page through the API — example: `https://unify.apideck.com/crm/companies?cursor=em9oby1jcm06OnBhZ2U6OjM`

#### 401 — Unauthorized

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 402 — Payment Required

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 404 — The specified resource was not found

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### default — Unexpected error

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

---

# Get API Resource Coverage

> **Connector API** · `GET /connector/apis/{id}/resources/{resource_id}/coverage`
> Canonical URL: https://developers.apideck.com/apis/connector/reference#tag/API-Resources/operation/apiResourceCoverageOne

Get API Resource Coverage

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `x-apideck-app-id` | header | `string` | Yes | The ID of your Unify application |
| `id` | path | `string` | Yes | ID of the record you are acting upon. |
| `resource_id` | path | `string` | Yes | ID of the resource you are acting upon. |

### Responses

#### 200 — ApiResources

- `status_code` `integer` **required** — HTTP Response Status Code — example: `200`
- `status` `string` **required** — HTTP Response Status — example: `OK`
- `data` `object` **required**
  - `id` `string` — ID of the resource, typically a lowercased version of name. — example: `companies`
  - `name` `string` — Name of the resource (plural) — example: `Companies`
  - `status` `string` — Status of the resource. Resources with status live or beta are callable. — enum: `live`, `beta`, `development`, `upcoming`, `considering`
  - `coverage` `array of object`
    - `downstream_id` `string` — ID of the resource in the Connector's API (downstream) — example: `accounts`
    - `downstream_name` `string` — Name of the resource in the Connector's API (downstream) — example: `Accounts`
    - `pagination_supported` `boolean` — Indicates if pagination (cursor and limit parameters) is supported on the list endpoint of the resource.
    - `pagination` `object`
      - `mode` `string` — How pagination is implemented on this connector. Native mode means Apideck is using the pagination parameters of the connector. With virtual pagination, the connector does not support pagination, but Apideck emulates it. — enum: `native`, `virtual` — example: `native`
      - `paging_support` `boolean` — Indicates whether the connector supports paging through results using the cursor parameter.
      - `limit_support` `boolean` — Indicates whether the connector supports changing the page size by using the limit parameter.
    - `supported_operations` `array of string` — List of supported operations on the resource.
    - `supported_filters` `array of string` — Supported filters on the list endpoint of the resource.
    - `supported_sort_by` `array of string` — Supported sorting properties on the list endpoint of the resource.
    - `supported_fields` `array of object` — Supported fields on the detail endpoint.
      - `unified_property` `string` — Name of the property in our Unified API. — example: `owner_id`
      - `child_properties` `array of object` — List of child properties of the unified property.
        - _(circular reference)_
    - `supported_list_fields` `array of object` — Supported fields on the list endpoint.
      - `unified_property` `string` — Name of the property in our Unified API. — example: `owner_id`
      - `child_properties` `array of object` — List of child properties of the unified property.
        - _(circular reference)_
- `_raw` `object` — Raw response from the integration when raw=true query param is provided
- `meta` `object` — Response metadata
  - `items_on_page` `integer` — Number of items returned in the data property of the response — example: `50`
  - `cursors` `object` — Cursors to navigate to previous or next pages through the API
    - `previous` `string` — Cursor to navigate to the previous page of results through the API — example: `em9oby1jcm06OnBhZ2U6OjE=`
    - `current` `string` — Cursor to navigate to the current page of results through the API — example: `em9oby1jcm06OnBhZ2U6OjI=`
    - `next` `string` — Cursor to navigate to the next page of results through the API — example: `em9oby1jcm06OnBhZ2U6OjM=`
- `links` `object` — Links to navigate to previous or next pages through the API
  - `previous` `string` — Link to navigate to the previous page through the API — example: `https://unify.apideck.com/crm/companies?cursor=em9oby1jcm06OnBhZ2U6OjE%3D`
  - `current` `string` — Link to navigate to the current page through the API — example: `https://unify.apideck.com/crm/companies`
  - `next` `string` — Link to navigate to the previous page through the API — example: `https://unify.apideck.com/crm/companies?cursor=em9oby1jcm06OnBhZ2U6OjM`

#### 401 — Unauthorized

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 402 — Payment Required

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 404 — The specified resource was not found

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### default — Unexpected error

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

---
